#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.0.3.1
visibility:           public
id:                   persistent-test-2.0.3.1-71hZnd7UxnsDytlIKjJApN
key:                  persistent-test-2.0.3.1-71hZnd7UxnsDytlIKjJApN
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  abf129e7bc91cab4fa3c7f60b1490052
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest HtmlTest Init
    LargeNumberTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsNoPrefixTest PersistTestPetCollarType PersistTestPetType
    PersistUniqueTest PersistentTest PersistentTestModels PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-8.10.1/site-local/persistent-test-2.0.3.1
library-dirs:         /usr/lib/ghc-8.10.1/site-local/persistent-test-2.0.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/persistent-test-2.0.3.1
hs-libraries:         HSpersistent-test-2.0.3.1-71hZnd7UxnsDytlIKjJApN
depends:
    HUnit-1.6.0.0-DZMltiKGejr5xN1v5rBq7M
    QuickCheck-2.14.1-1CXUIWIkWxZ4yMR6Umgq57
    aeson-1.5.3.0-otLRtC5gX1JmoTwFxL1re base-4.14.0.0
    blaze-html-0.9.1.2-3cQjKmf4Xjc4TE8UxQqBHn bytestring-0.10.10.0
    conduit-1.3.2-IpM9xaMkynz7ZyiFtqtOdF containers-0.6.2.1
    exceptions-0.10.4 hspec-2.7.2-8YqfVQUcpyh845YLIoSq53
    hspec-expectations-0.8.2-2i6mC5T19z1H9eSUzDsMDI
    monad-control-1.0.2.3-IGaaes3gUY076HOqrHXNVT
    monad-logger-0.3.35-5BHGJa3Pu684QSL3LY5V2Z
    path-pieces-0.2.1-IwIGWbieIS4FgGGhOeaauD
    persistent-2.10.5.2-2oFNbxbscB7AEa2QFaHfpy
    persistent-template-2.8.2.3-9GY5ZOhRTXC2M1udSkL1TO
    quickcheck-instances-0.3.24-D4sv4ofYGy8JcLXrFm4dEn
    random-1.1-AA3zCuOgsVZCzsZYE3CMpY
    resourcet-1.2.4.2-HP3fHW3zHPxEiXAkUqWpCS text-1.2.3.2 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-AnDhqk5CU9d3QqJUJgAU2R
    unliftio-0.2.13-1smJtp0eZEqFlzXdgYejQa
    unliftio-core-0.2.0.1-DFzZctvkeWF1j2hnkeOBtq
    unordered-containers-0.2.12.0-8JXKszpgMXuybqLOiZpMH

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

